Retrieve Payment

Overview

This endpoint retrieves detailed information about a specific Bre-B payment by its unique identifier. It includes metadata such as status, direction, amount, recipient, and timestamps.

Endpoint Details

Definition

Description

Endpoint

https://api.paas.sandbox.co.passportfintech.com/v1/payments/:payment_id

Method

GET

Headers

Content-Type: application/json, Authorization

Authentication

Access Token (Bearer Token)

Request Body

This endpoint does not require a request body.

Example Request

curl --location 'https://api.paas.sandbox.co.passportfintech.com/v1/payments/0d9f17a1-af37-4e4d-831d-3520b5797aa1' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \

Response

  • HTTP Status Code: 200 OK.

Example of Response

{ "receiver": { "account": { "account_number": "88509775041", "account_type": "ORDINARY" }, "key": { "key_type": "PHONE", "key_value": "3975999158" }, "participant": { "identification_number": "123456789" }, "owner": { "identification_number": "862886878", "identification_type": "NIT", "type": "BUSINESS", "name": "Merchant CWSPZ" } }, "direction": "OUTBOUND", "error": { "error_description": "B002", "error_code": "B002" }, "qr_code_reference": "", "sender": { "account": { "account_number": "88509775041", "account_type": "ORDINARY" }, "participant": { "identification_number": "123456789" }, "owner": { "identification_number": "862886878", "identification_type": "NIT", "type": "BUSINESS", "name": "Merchant CWSPZ" } }, "amount": { "value": "100000", "currency": "COP" }, "account_id": "a9a0e0f7-0263-44ee-911e-d66910f9f5c7", "created_at": "2025-10-10T08:52:05.171Z", "resolution_id": "9e5cd615-d2da-43eb-866e-c0026b177c01", "updated_at": "2025-10-10T08:52:13.570Z", "status": "REJECTED", "id": "0d9f17a1-af37-4e4d-831d-3520b5797aa1" }

Common Errors and Handling

HTTP Status Code

Meaning

Description

400

Bad Request

Malformed id or invalid request

401

Unauthorized

Missing/expired bearer token, or token lacks paas.core.breb_payments.get scope

403

Forbidden

Caller not permitted to retrieve this payment

404

Not Found

Payment with the given id does not exist

500

Server Error

Unexpected error; retry or contact support

Best Practices

  • Always log the id, status, and reference when retrieving a payment for reconciliation.

  • Pair with List Payments to monitor batch operations or multiple customer transactions.